From: Jeroen Dekkers <jeroen@dekkers.ch>
Date: Sun, 13 Jan 2019 14:15:37 +0100
Subject: Unset MAKEFLAGS and MFLAGS in configure

This fixes a build failure when building the package with parallel
make.
---
 configure | 7 +++++++
 1 file changed, 7 insertions(+)

Index: sogo/configure
===================================================================
--- sogo.orig/configure
+++ sogo/configure
@@ -33,6 +33,13 @@ GNUSTEP_INSTALLATION_DOMAIN="LOCAL"
 
 DARG_GNUSTEP_SH="$ARG_GSMAKE/GNUstep.sh"
 
+# When we run under make -j (during Debian package build) that option
+# is passed to child make invocations using MAKEFLAGS and MFLAGS. We
+# unset them so they can't cause problems when running make in
+# checkLinking.
+unset MAKEFLAGS
+unset MFLAGS
+
 # detect GNU make, needed at least on *BSD
 make -v 2>/dev/null | grep GNU >/dev/null 2>/dev/null
 if [ $? -eq 0 ];then
